Rider / IntelliJ Intellisense - angular HTML

Posted by: kg on 8 September 2022, 7:42 pm EST

  • Posted 8 September 2022, 7:42 pm EST

    Hello, I'm trying to get the HTML intellisence to work in my project, but for some reason I cannot make it work.
    It keeps saying "Unknown html tag" no matter what I do, I have even tried to look at a sample to see what I'm doing wrong but no matter what I do then the intellisence for HTML will not work for me.

    I'm working on an Angular 14 project, and currently I have installed the following npm packages Wijmo:
    "@grapecity/wijmo": "^5.20221.857",
    "@grapecity/wijmo.all": "^5.20221.857",
    "@grapecity/wijmo.angular.all": "^5.20221.857",
    "@grapecity/wijmo.angular2.all": "^5.20221.857",
    "@grapecity/wijmo.angular2.grid": "^5.20221.857",
    "@grapecity/wijmo.grid": "^5.20221.857",
    "@grapecity/wijmo.grid.sheet": "^5.20221.857",
    "@grapecity/wijmo.input": "^5.20221.857",
    "@grapecity/wijmo.styles": "^5.20221.857"

    I have also tried to include all the dist files from the downloaded zip file I have. But it still won't work in my project.

    I would really like some help with this.
  • Marked as Answer

    Replied 12 September 2022, 11:36 pm EST

    Hi,

    I tried to replicate your issue, by installing the same versions of the components in an Angular 14 project, but the HTML intellisense is working fine in my case.
    I have the following extensions installed on VSCode:



    VSCode Version
    Version: 1.71.0 (user setup)
    Commit: 784b0177c56c607789f9638da7b6bf3230d47a8c
    Date: 2022-09-01T07:36:10.600Z
    Electron: 19.0.12
    Chromium: 102.0.5005.167
    Node.js: 16.14.2
    V8: 10.2.154.15-electron.0
    OS: Windows_NT x64 10.0.19043
    Sandboxed: No

    Here, is a sample for the same: demoProject.zip

    If you still face any issues then please share a sample replicating the issue, so that we can investigate the root cause and assist you accordingly.

    Regards
  • Replied 14 September 2022, 10:47 pm EST

    Hello, since that is for VSCode then I cannot use it for much.
    But I have found out that only the wj-flex-sheet is not working as it should. The wj-flex-grid does work and give me all the information in the intellise.
    And since I found out that the flexsheet was not what that should be used but rather the flexgrid then everything have sorted itself out.
  • Replied 15 September 2022, 3:13 pm EST

    Hello,

    We are glad that you were able to resolve the issue on your own. Please let us know if you still face any issues.

    Regards
    Sonu Kumar Pandey
Need extra support?

Upgrade your support plan and get personal unlimited phone support with our customer engagement team

Learn More

Forum Channels